Cantera 2.6.0

Classes | Namespaces | Functions | Variables
DAE_Solver.h File Reference

Header file for class DAE_Solver. More...

`#include "ResidJacEval.h"`
`#include "cantera/base/global.h"`
Include dependency graph for DAE_Solver.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | DAE_Solver
| Wrapper for DAE solvers. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
DAE_Solver * | newDAE_Solver (const std::string &itype, ResidJacEval &f)
| Factor method for choosing a DAE solver. More...

## Variables
const int | cDirect = 0
const int | cKrylov = 1

## Detailed Description

Header file for class DAE_Solver.

Definition in file DAE_Solver.h.